version: '3'
services:
  nginx-proxy:
    restart: always
    ports:
      - "80:80"
      - "443:443"
    labels:
      - com.github.jrcs.letsencrypt_nginx_proxy_companion.nginx_proxy=true
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
      - /opt/integreat/prod/certs/:/etc/nginx/certs:ro
      - /opt/integreat/prod/etc/nginx/vhost.d:/etc/nginx/vhost.d
      - /opt/integreat/prod/usr/share/nginx/html:/usr/share/nginx/html
  letsencrypt:
    restart: always
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - /opt/integreat/prod/certs/:/etc/nginx/certs
      - /opt/integreat/prod/etc/nginx/vhost.d:/etc/nginx/vhost.d
      - /opt/integreat/prod/usr/share/nginx/html:/usr/share/nginx/html
  app:
    ports:
      - "9001:9000"
    restart: always
    environment:
      config: /usr/local/config/prod.edn
      VIRTUAL_HOST: app.integreatconsult.com
      VIRTUAL_PORT: 3000
      LETSENCRYPT_HOST: app.integreatconsult.com
      LETSENCRYPT_EMAIL: le@brycecovertoperations.com
  database:
    restart: always
    ports: []
    volumes:
      - /opt/integreat/prod/var/lib/postgresql/data:/var/lib/postgresql/data
